Package org.eclipse.birt.chart.model.data.impl

# Class SeriesGroupingImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.data.impl.SeriesGroupingImpl

All Implemented Interfaces:
  `SeriesGrouping`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class SeriesGroupingImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements SeriesGrouping
An implementation of the model object ' Series Grouping'.

The following features are implemented:

- `Enabled`
- `Grouping Unit`
- `Grouping Origin`
- `Grouping Interval`
- `Group Type`
- `Aggregate Expression`
- `Aggregate Parameters`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetGroupingOrigin(DataElement newGroupingOrigin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`SeriesGrouping`
`copyInstance()`
`static final SeriesGrouping`
`create()`
A convenience method provided to create a series grouping instance and initialize its member variables NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`getAggregateExpression()`
`org.eclipse.emf.common.util.EList<String>`
`getAggregateParameters()`
`double`
`getGroupingInterval()`
`DataElement`
`getGroupingOrigin()`
`GroupingUnitType`
`getGroupingUnit()`
`DataType`
`getGroupType()`
`boolean`
`isEnabled()`
`boolean`
`isSetAggregateExpression()`
`boolean`
`isSetEnabled()`
`boolean`
`isSetGroupingInterval()`
`boolean`
`isSetGroupingUnit()`
`boolean`
`isSetGroupType()`
`void`
`setAggregateExpression(String newAggregateExpression)`
`void`
`setEnabled(boolean newEnabled)`
`void`
`setGroupingInterval(double newGroupingInterval)`
`void`
`setGroupingOrigin(DataElement newGroupingOrigin)`
`void`
`setGroupingUnit(GroupingUnitType newGroupingUnit)`
`void`
`setGroupType(DataType newGroupType)`
`String`
`toString()`
`void`
`unsetAggregateExpression()`
`void`
`unsetEnabled()`
`void`
`unsetGroupingInterval()`
`void`
`unsetGroupingUnit()`
`void`
`unsetGroupType()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `SeriesGrouping`
Returns:
  the value of the 'Enabled' attribute.
See Also:
  - `SeriesGrouping.isSetEnabled()`
  - `SeriesGrouping.unsetEnabled()`
  - `SeriesGrouping.setEnabled(boolean)`
  - `DataPackage.getSeriesGrouping_Enabled()`

### setEnabled

public void setEnabled(boolean newEnabled)

Specified by:
  `setEnabled` in interface `SeriesGrouping`
Parameters:
  `newEnabled` - the new value of the 'Enabled' attribute.
See Also:
  - `SeriesGrouping.isSetEnabled()`
  - `SeriesGrouping.unsetEnabled()`
  - `SeriesGrouping.isEnabled()`

### unsetEnabled

public void unsetEnabled()

Specified by:
  `unsetEnabled` in interface `SeriesGrouping`
See Also:
  - `SeriesGrouping.isSetEnabled()`
  - `SeriesGrouping.isEnabled()`
  - `SeriesGrouping.setEnabled(boolean)`

### isSetEnabled

public boolean isSetEnabled()

Specified by:
  `isSetEnabled` in interface `SeriesGrouping`
Returns:
  whether the value of the 'Enabled' attribute is set.
See Also:
  - `SeriesGrouping.unsetEnabled()`
  - `SeriesGrouping.isEnabled()`
  - `SeriesGrouping.setEnabled(boolean)`

### getGroupingUnit

public GroupingUnitType getGroupingUnit()

Specified by:
  `getGroupingUnit` in interface `SeriesGrouping`
Returns:
  the value of the 'Grouping Unit' attribute.
See Also:
  - `#setGroupingUnit(String)`
  - `DataPackage.getSeriesGrouping_GroupingUnit()`

### setGroupingUnit

public void setGroupingUnit(GroupingUnitType newGroupingUnit)

Specified by:
  `setGroupingUnit` in interface `SeriesGrouping`
Parameters:
  `newGroupingUnit` - the new value of the 'Grouping Unit' attribute.
See Also:
  - `GroupingUnitType`
  - `SeriesGrouping.isSetGroupingUnit()`
  - `SeriesGrouping.unsetGroupingUnit()`
  - `SeriesGrouping.getGroupingUnit()`

### unsetGroupingUnit

public void unsetGroupingUnit()

Specified by:
  `unsetGroupingUnit` in interface `SeriesGrouping`
See Also:
  - `SeriesGrouping.isSetGroupingUnit()`
  - `SeriesGrouping.getGroupingUnit()`
  - `SeriesGrouping.setGroupingUnit(GroupingUnitType)`

### isSetGroupingUnit

public boolean isSetGroupingUnit()

Specified by:
  `isSetGroupingUnit` in interface `SeriesGrouping`
Returns:
  whether the value of the 'Grouping Unit' attribute is set.
See Also:
  - `SeriesGrouping.unsetGroupingUnit()`
  - `SeriesGrouping.getGroupingUnit()`
  - `SeriesGrouping.setGroupingUnit(GroupingUnitType)`

### getGroupingOrigin

public DataElement getGroupingOrigin()

Specified by:
  `getGroupingOrigin` in interface `SeriesGrouping`
Returns:
  the value of the 'Grouping Origin' containment reference.
See Also:
  - `SeriesGrouping.setGroupingOrigin(DataElement)`
  - `DataPackage.getSeriesGrouping_GroupingOrigin()`

### basicSetGroupingOrigin

public org.eclipse.emf.common.notify.NotificationChain basicSetGroupingOrigin(DataElement newGroupingOrigin, org.eclipse.emf.common.notify.NotificationChain msgs)

### setGroupingOrigin

public void setGroupingOrigin(DataElement newGroupingOrigin)

Specified by:
  `setGroupingOrigin` in interface `SeriesGrouping`
Parameters:
  `newGroupingOrigin` - the new value of the 'Grouping Origin' containment reference.
See Also:
  - `SeriesGrouping.getGroupingOrigin()`

### getGroupingInterval

public double getGroupingInterval()

Specified by:
  `getGroupingInterval` in interface `SeriesGrouping`
Returns:
  the value of the 'Grouping Interval' attribute.
See Also:
  - `SeriesGrouping.isSetGroupingInterval()`
  - `SeriesGrouping.unsetGroupingInterval()`
  - `SeriesGrouping.setGroupingInterval(int)`
  - `DataPackage.getSeriesGrouping_GroupingInterval()`

### setGroupingInterval

public void setGroupingInterval(double newGroupingInterval)

Specified by:
  `setGroupingInterval` in interface `SeriesGrouping`
Parameters:
  `newGroupingInterval` - the new value of the 'Grouping Interval' attribute.
See Also:
  - `SeriesGrouping.isSetGroupingInterval()`
  - `SeriesGrouping.unsetGroupingInterval()`
  - `SeriesGrouping.getGroupingInterval()`

### unsetGroupingInterval

public void unsetGroupingInterval()

Specified by:
  `unsetGroupingInterval` in interface `SeriesGrouping`
See Also:
  - `SeriesGrouping.isSetGroupingInterval()`
  - `SeriesGrouping.getGroupingInterval()`
  - `SeriesGrouping.setGroupingInterval(double)`

### isSetGroupingInterval

public boolean isSetGroupingInterval()

Specified by:
  `isSetGroupingInterval` in interface `SeriesGrouping`
Returns:
  whether the value of the 'Grouping Interval' attribute is set.
See Also:
  - `SeriesGrouping.unsetGroupingInterval()`
  - `SeriesGrouping.getGroupingInterval()`
  - `SeriesGrouping.setGroupingInterval(double)`

### getGroupType

public DataType getGroupType()

Specified by:
  `getGroupType` in interface `SeriesGrouping`
Returns:
  the value of the 'Group Type' attribute.
See Also:
  - `#setGroupType(String)`
  - `DataPackage.getSeriesGrouping_GroupType()`

### setGroupType

public void setGroupType(DataType newGroupType)

Specified by:
  `setGroupType` in interface `SeriesGrouping`
Parameters:
  `newGroupType` - the new value of the 'Group Type' attribute.
See Also:
  - `DataType`
  - `SeriesGrouping.isSetGroupType()`
  - `SeriesGrouping.unsetGroupType()`
  - `SeriesGrouping.getGroupType()`

### unsetGroupType

public void unsetGroupType()

Specified by:
  `unsetGroupType` in interface `SeriesGrouping`
See Also:
  - `SeriesGrouping.isSetGroupType()`
  - `SeriesGrouping.getGroupType()`
  - `SeriesGrouping.setGroupType(DataType)`

### isSetGroupType

public boolean isSetGroupType()

Specified by:
  `isSetGroupType` in interface `SeriesGrouping`
Returns:
  whether the value of the 'Group Type' attribute is set.
See Also:
  - `SeriesGrouping.unsetGroupType()`
  - `SeriesGrouping.getGroupType()`
  - `SeriesGrouping.setGroupType(DataType)`

### getAggregateExpression

public String getAggregateExpression()

Specified by:
  `getAggregateExpression` in interface `SeriesGrouping`
Returns:
  the value of the 'Aggregate Expression' attribute.
See Also:
  - `SeriesGrouping.setAggregateExpression(String)`
  - `DataPackage.getSeriesGrouping_AggregateExpression()`

### setAggregateExpression

public void setAggregateExpression(String newAggregateExpression)

Specified by:
  `setAggregateExpression` in interface `SeriesGrouping`
Parameters:
  `newAggregateExpression` - the new value of the 'Aggregate Expression' attribute.
See Also:
  - `SeriesGrouping.isSetAggregateExpression()`
  - `SeriesGrouping.unsetAggregateExpression()`
  - `SeriesGrouping.getAggregateExpression()`

### unsetAggregateExpression

public void unsetAggregateExpression()

Specified by:
  `unsetAggregateExpression` in interface `SeriesGrouping`
See Also:
  - `SeriesGrouping.isSetAggregateExpression()`
  - `SeriesGrouping.getAggregateExpression()`
  - `SeriesGrouping.setAggregateExpression(String)`

### isSetAggregateExpression

public boolean isSetAggregateExpression()

Specified by:
  `isSetAggregateExpression` in interface `SeriesGrouping`
Returns:
  whether the value of the 'Aggregate Expression' attribute is set.
See Also:
  - `SeriesGrouping.unsetAggregateExpression()`
  - `SeriesGrouping.getAggregateExpression()`
  - `SeriesGrouping.setAggregateExpression(String)`

### getAggregateParameters

public org.eclipse.emf.common.util.EList<String> getAggregateParameters()

Specified by:
  `getAggregateParameters` in interface `SeriesGrouping`
Returns:
  the value of the 'Aggregate Parameters' attribute list.
See Also:
  - `DataPackage.getSeriesGrouping_AggregateParameters()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final SeriesGrouping create()
A convenience method provided to create a series grouping instance and initialize its member variables NOTE: Manually written

Returns:

### copyInstance

public SeriesGrouping copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `SeriesGrouping`